org.activiti.engine.delegate

## Interface DelegateExecution

- All Superinterfaces:
    VariableScope

      public interface DelegateExecution
      extends VariableScope

  Execution used in `JavaDelegate`s and `ExecutionListener`s.
  Author:
    Tom Baeyens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBusinessKey()` Deprecated. use `getProcessBusinessKey()` to get the business key for the process associated with this execution, regardless whether or not this execution is a process-instance.
    `String` | `getCurrentActivityId()` Gets the id of the current activity.
    `String` | `getCurrentActivityName()` Gets the name of the current activity.
    `EngineServices` | `getEngineServices()` All Activiti services can be accessed through this interface.
    `String` | `getEventName()` The `event name` in case this execution is passed in for an `ExecutionListener`
    `String` | `getId()` Unique id of this path of execution that can be used as a handle to provide external signals back into the engine after wait states.
    `String` | `getParentId()` Gets the id of the parent of this execution.
    `String` | `getProcessBusinessKey()` The business key for the process instance this execution is associated with.
    `String` | `getProcessDefinitionId()` The process definition key for the process instance this execution is associated with.
    `String` | `getProcessInstanceId()` Reference to the overall process instance
    `String` | `getSuperExecutionId()` Gets the id of the calling execution.
    `String` | `getTenantId()` Returns the tenant id, if any is set before on the process definition or process instance.

    - ### Methods inherited from interface org.activiti.engine.delegate.VariableScope

      `createVariableLocal, getVariable, getVariable, getVariable, getVariableInstance, getVariableInstance, getVariableInstanceLocal, getVariableInstanceLocal, getVariableInstances, getVariableInstances, getVariableInstances, getVariableInstancesLocal, getVariableInstancesLocal, getVariableInstancesLocal, getVariableLocal, getVariableLocal, getVariableLocal, getVariableNames, getVariableNamesLocal, getVariables, getVariables, getVariables, getVariablesLocal, getVariablesLocal, getVariablesLocal, hasVariable, hasVariableLocal, hasVariables, hasVariablesLocal, removeVariable, removeVariableLocal, removeVariables, removeVariables, removeVariablesLocal, removeVariablesLocal, setVariable, setVariable, setVariableLocal, setVariableLocal, setVariables, setVariablesLocal`

- - ### Method Detail

    - #### getId

          String getId()

      Unique id of this path of execution that can be used as a handle to provide external signals back into the engine after wait states.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Reference to the overall process instance

    - #### getEventName

          String getEventName()

      The `event name` in case this execution is passed in for an `ExecutionListener`

    - #### getBusinessKey

          String getBusinessKey()

      Deprecated. use `getProcessBusinessKey()` to get the business key for the process associated with this execution, regardless whether or not this execution is a process-instance.
      The business key for this execution. Only returns a value if the delegate execution is a process instance.

    - #### getProcessBusinessKey

          String getProcessBusinessKey()

      The business key for the process instance this execution is associated with.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      The process definition key for the process instance this execution is associated with.

    - #### getParentId

          String getParentId()

      Gets the id of the parent of this execution. If null, the execution represents a process-instance.

    - #### getSuperExecutionId

          String getSuperExecutionId()

      Gets the id of the calling execution. If not null, the execution is part of a subprocess.

    - #### getCurrentActivityId

          String getCurrentActivityId()

      Gets the id of the current activity.

    - #### getCurrentActivityName

          String getCurrentActivityName()

      Gets the name of the current activity.

    - #### getTenantId

          String getTenantId()

      Returns the tenant id, if any is set before on the process definition or process instance.

    - #### getEngineServices

          EngineServices getEngineServices()

      All Activiti services can be accessed through this interface.

Copyright © 2016 Alfresco. All rights reserved.